diff --git a/CHANGELOG b/CHANGELOG
index bfc36c8..78a4cf8 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -32,6 +32,7 @@
 - fix included map lookup.
 - fix directory cleanup on expire.
 - fix task cancelation at shutdown.
+- fix included map wild card key lookup.
 
 13/7/2006 autofs-5.0.1 rc1
 --------------------------
diff --git a/modules/lookup_file.c b/modules/lookup_file.c
index 028c1ec..3588129 100644
--- a/modules/lookup_file.c
+++ b/modules/lookup_file.c
@@ -822,52 +822,19 @@ static int lookup_wild(struct autofs_poi
 	while(1) {
 		entry = read_one(f, mkey, &k_len, mapent, &m_len);
 		if (entry) {
-			/*
-			 * If key starts with '+' it has to be an
-			 * included map.
-			 */
-			if (*mkey == '+') {
-				struct autofs_point *iap;
-				unsigned int inc;
-				int status;
-
-				inc = check_self_include(mkey, ctxt);
-
-				master_source_current_wait(ap->entry);
-				ap->entry->current = source;
-
-				iap = prepare_plus_include(ap, age, mkey, inc);
-				if (!iap) {
-					debug(ap->logopt,
-					      MODPREFIX
-					      "failed to select included map %s",
-					       mkey);
-					continue;
-				}
-
-				/* Gim'ee some o' that 16k stack baby !! */
-				status = lookup_nss_mount(iap, "*", 1);
-
-				master_free_mapent_sources(iap->entry, 0);
-				master_free_mapent(iap->entry);
-
-				if (status)
-					return CHE_COMPLETED;
-			} else {
-				int eq;
+			int eq;
 
-				eq = (*mkey == '*' && k_len == 1);
-				if (eq == 0)
-					continue;
+			eq = (*mkey == '*' && k_len == 1);
+			if (eq == 0)
+				continue;
 
-				cache_writelock(mc);
-				ret = cache_update(mc, "*", mapent, age);
-				cache_unlock(mc);
+			cache_writelock(mc);
+			ret = cache_update(mc, "*", mapent, age);
+			cache_unlock(mc);
 
-				fclose(f);
+			fclose(f);
 
-				return ret;
-			}
+			return ret;
 		}
 
 		if (feof(f))
